=head1 NAME


XXV::MODULES::MUSIC



=head1 SYNOPSIS

  use XXV::MODULES::MUSIC;
  my  = XXV::MODULES::MUSIC->new(
    -config => $Config,
    -dbh    => $DBH,
    -realbin=> $RealBin,
  );


=head1 VERSION

0.45 - 04.09.2005

=head1 DESCRIPTION

Dieser Modul behandelt die Musikdateien.

=head1 CONFIGURATION

=over 4



=item * active

Aktiviere diesen Dienst

=over 4

=item default value: y

=item type: confirm

=item required: Yes

=back





=item * clients

Maximale Anzahl von Clients, zur selben Zeit

=over 4

=item default value: 5

=item type: integer

=item required: Yes

=back





=item * coverimages

Gemeinsames Verzeichnis für Bilder von Plattenhüllen

=over 4

=item default value: /var/cache/xxv/cover

=item type: dir

=item required: Yes

=back





=item * host

Benutzter Host für verweisende Links innerhalb der Abspiellisten.

=over 4

=item default value: vdr01

=item type: string

=item required: Yes

=back





=item * path

Verzeichnis mit den Musikdateien

=over 4

=item default value: /music

=item type: dir

=item required: Yes

=back





=item * port

Port des Server, an dem für Icecast Clients gelauscht wird.

=over 4

=item default value: 8100

=item type: integer

=item required: Yes

=back





=item * proxy

Proxy URL des Musikservers. z.B.(http://vdr/xxv). Denke daran das der Port des Icecast Server in die Proxykonfiguration eingetragen werden muss!

=over 4

=item default value: 

=item type: string

=item required: No

=back





=back

=head1 COMMANDS

=over 4



=item *  mcovers (mc)

Plattenhüllen herunterladen.



=item *  mlist (ml)

Zeige Musik 'dir'



=item *  mplay (mp)

Spiele Musikdatei 'fid'



=item *  mplaylist (m3)

Erzeuge ein m3u-Abspielliste für 'fid'



=item *  mrefresh (mr)

Nochmaliges Einlesen des Musikverzeichnisses.



=item *  msearch (mf)

Sucht Musik 'txt'



=back

=head1 SEE ALSO

XXV

=head1 AUTHOR

Copyright (C) 2004, xpix. All rights reserved.

=cut
